﻿@model NSS.Entity.Base.School

@{
    ViewBag.Title = "Deleted";
}

<h2>Deleted</h2>

<h3>Are you sure you want to delete this?</h3>
<div>
    <h4>School</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.SchoolNo)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.SchoolNo)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.SchoolName)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.SchoolName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.SchoolType)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.SchoolType)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.City)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.City)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.State)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.State)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.ZipCode)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.ZipCode)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Directions)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Directions)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Address1)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Address1)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Address2)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Address2)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Address3)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Address3)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Phone1)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Phone1)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Phone2)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Phone2)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.SchoolEmail)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.SchoolEmail)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Fax)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Fax)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.OpenDate)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.OpenDate)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.CloseDate)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.CloseDate)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Info1)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Info1)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Info2)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Info2)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Info3)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Info3)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Notes)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Notes)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.ExternalId)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.ExternalId)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.ActiveStatus)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.ActiveStatus)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.CreationDate)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.CreationDate)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.CreatedBy)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.CreatedBy)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.ChangeDate)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.ChangeDate)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.ModifiedBy)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.ModifiedBy)
        </dd>

    </dl>

    
    @using (Ajax.BeginForm("Deleted", new { Controller = "School" },
        new AjaxOptions
        {
            HttpMethod = "POST",
            InsertionMode = InsertionMode.Replace,
            UpdateTargetId = "modal-body",
            OnSuccess = "NSSSchool.success('delete')"
        },
        htmlAttributes: new { id = "deletedForm" })
        ){
        @Html.AntiForgeryToken()

        <div class="form-actions no-color">
            <input type="submit" value="Delete" class="btn btn-default" /> |
            @Html.ActionLink("Back to List", "Index")
        </div>
    }
</div>

<script type="text/javascript">
    $(function () {
        $.validator.unobtrusive.parse("#deletedForm");
    })
</script>